package com.tzld.piaoquan.growth.common.service.Impl;

import com.alibaba.fastjson.JSON;
import com.tzld.piaoquan.growth.common.component.HttpPoolClient;
import com.tzld.piaoquan.growth.common.model.vo.SendRequestParam;
import com.tzld.piaoquan.growth.common.service.WeComService;
import com.tzld.piaoquan.growth.common.service.WeComUserService;
import com.tzld.piaoquan.growth.common.utils.LarkRobotUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.File;
import java.io.IOException;

@Service
public class WeComServiceImpl implements WeComService {

    @Autowired
    private HttpPoolClient httpPoolClient;

    @Value("${sendRequestIp:}")
    private String sendRequestIp;


    @Override
    public String sendPost(String url, String param) throws IOException {
        if (StringUtils.isEmpty(sendRequestIp)) {
            LarkRobotUtil.sendMessage("转发ip获取失败");
            return null;
        }
        String sendUrl = "http://" + sendRequestIp + "/wecom/server/send/post";
        SendRequestParam sendRequestParam = new SendRequestParam();
        sendRequestParam.setUrl(url);
        sendRequestParam.setParam(param);
        return httpPoolClient.post(sendUrl, JSON.toJSONString(sendRequestParam));
    }

    @Override
    public String sendGet(String url) throws IOException {
        if (StringUtils.isEmpty(sendRequestIp)) {
            LarkRobotUtil.sendMessage("转发ip获取失败");
            return null;
        }
        String sendUrl = "http://" + sendRequestIp + "/wecom/server/send/get";
        sendUrl += "?url=" + url;
        return httpPoolClient.get(sendUrl);
    }

    @Override
    public String sendPostFile(String url, File file) throws IOException {
        if (StringUtils.isEmpty(sendRequestIp)) {
            LarkRobotUtil.sendMessage("转发ip获取失败");
            return null;
        }
        String sendUrl = "http://" + sendRequestIp + "/wecom/server/send/post/file";
        sendUrl += "?url=" + url;
        return httpPoolClient.post(sendUrl, file);
    }
}
